Bug 143661 - TeX paper size should be set according to locale
TeX paper size should be set according to locale
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: FutureFeature, Reopened
: 167882 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-23 10:35 EST by W. Michael Petullo
Modified: 2016-08-07 14:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-09 08:50:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2004-12-23 10:35:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.5)
Gecko/20041220 Epiphany/1.4.7

Description of problem:
LaTeX and PDFLaTeX seem to generate output of the A4 paper size.  This
is not appropriate in some places.  For example, in the U.S. the
letter paper size should be used.  The paper size used by LaTeX should
be dependent on the locale settings.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Generate a document using pdflatex.

2.  Notice that the paper size used is A4.

Expected Results:  If the system's locale is en_US.iso88591 then the
paper size used should be letter.

Additional info:

Currently, the paper size may be set to letter by manually making the
following changes:

1.  Comment out in /usr/share/texmf/dvips/config/config.ps:
% @ A4size 210mm 297mm
% @+ %%PaperSize: A4

2.  change /usr/share/texmf/pdftex/config/pdftex.cfg to:
page_width 8.5 true in
page_height 11 true in
Comment 1 Sammy 2004-12-24 12:08:10 EST
Yes, this is a good idea. I keep making these changes by hand too. 
Comment 2 Jindrich Novy 2005-02-18 10:18:42 EST
Please update to teTeX-3.0 I built recently. There's a new feature in texconfig
in this release that allows you to configure paper size directly. I think this
bug is solved by this because setting of default paper size wrt locale is rather
obscure. Many people (me for instance) use en_US.UTF-8 locale but create
documents in other language that use different default page. The solution in
texconfig is the best in my opinion.

Thanks for the bugreport,
Jindrich 
Comment 3 W. Michael Petullo 2005-04-20 14:42:46 EDT
I disagree with this conclusion.  Granted, there are people with their locale
set to en_US who want to generate, say, A4 documents.  However, it seems to me
that this is the exception instead of the rule.  Therefore, I think that LaTeX
and friends should default to the paper size appropriate for the locale and
allow the user to configure it differently.

When I sit down in front of a computer that speaks American English, I would
expect it to use the letter paper size.  If I sit down in front of a computer
that speaks de_DE then I would expect A4.  This seems rational.
Comment 4 Jindrich Novy 2005-11-01 05:45:39 EST
*** Bug 167882 has been marked as a duplicate of this bug. ***
Comment 5 Quentin Spencer 2006-03-22 15:15:36 EST
I recently tried texconfig and I think it is a promising solution, but it is
incomplete. I use dvipdfm for generating PDF output, and I see that the config
files created by texconfig do not include any for dvipdfm, so it continues to
generate A4 output by default unless I manually change its config file. I also
agree that an ideal solution would be for the locale to set the paper size, but
I don't see an easy way to implement that. Until a solution can be found, I
would say at minimum that all of the config files should be marked as config
files in the RPM so that if they have been modified are not silently overwritten
by updates (see my comments on bug #158758).
Comment 6 Red Hat Bugzilla 2007-02-05 13:54:57 EST
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.
Comment 7 Jindrich Novy 2007-04-16 04:44:12 EDT
Should be fixed by tetex-3.0-39.fc7. Thanks.
Comment 8 Jindrich Novy 2007-04-16 04:45:43 EDT
Sorry, closed a wrong bug, reopening.
Comment 9 Jindrich Novy 2007-12-09 08:50:18 EST
teTeX is now obsoleted by TeXLive in rawhide and removed. If you are sure the
problem still applies also for TeXLive, please file a bug against following
rawhide components:

texlive       - if you found bug in binary TeXLive utilities
texlive-texmf - if find anything related to fonts/styles, noarch part
texlive-texmf-errata - if you need to update font/style set.
Comment 10 W. Michael Petullo 2011-09-01 21:27:01 EDT
Yes, this applies to the texlive package as well.
Comment 12 W. Michael Petullo 2016-08-07 14:19:40 EDT
Under texlive, I reconfigured pdflatex to use letter paper by default with "texconfig paper letter". I still think it makes sense for the default to match the locale. This would require people who are "exceptions" to change the default using texconfig, but it seems to me it would work out-of-the-box for most people.

Note You need to log in before you can comment on or make changes to this bug.